> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of file sync projects > Projects are implicitly filtered by the user's `read` permission. ## OpenAPI ````json GET /v{version}/FileSync/Projects { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/FileSync/Projects": { "get": { "tags": [ "FileSync" ], "summary": "Get a list of file sync projects", "description": "Projects are implicitly filtered by the user's `read` permission.", "operationId": "FileSync_GetProjects", "parameters": [ { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.FileSync.FileSyncProject" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.FileSync.FileSyncProject": { "type": "object", "properties": { "Created": { "type": "string", "description": "Creation date of the file sync project", "format": "date-time", "readOnly": true }, "ExternalProcessInProgress": { "type": "boolean", "description": "If `true`, the external process is in progress", "readOnly": true }, "Id": { "type": "integer", "description": "Unique ID of the file sync project", "format": "int32", "readOnly": true }, "ImportInProgress": { "type": "boolean", "description": "If `true`, the import is in progress", "readOnly": true }, "Modified": { "type": "string", "description": "Last time the file sync project being modified", "format": "date-time", "readOnly": true }, "Permissions": { "type": "object", "properties": { "Read": { "type": "boolean" }, "Write": { "type": "boolean" } }, "description": "UDC container permissions of the file sync project", "readOnly": true }, "ProjectName": { "type": "string", "description": "Name of the file sync project", "readOnly": true }, "UdcContainerId": { "type": "integer", "description": "Unique ID of the UDC container", "format": "int32", "readOnly": true }, "Version": { "type": "string", "description": "Version of the file sync project", "readOnly": true } }, "description": "File sync project" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````